Users
Get user
GET
Get a single user. The returned fields depend on the privileges of the requesting user.
ApiKeyAuthheader
X-Redmine-API-Key<token>id*|User ID, or current for the user whose credentials are used
include?array<>Fetch associated data
The request has succeeded.
application/json- response
user*Redmine User.
Non-admin users only see some fields of other users (e.g. login, mail, api_key and status may be missing).
curl -X GET 'https://redmine.example.com/users/0.json'{ "user": { "id": 0, "login": "string", "admin": true, "firstname": "string", "lastname": "string", "mail": "string", "status": 1, "api_key": "string", "avatar_url": "string", "twofa_scheme": "string", "custom_fields": [ { "id": 0, "name": "string", "multiple": true, "value": "string" } ], "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "last_login_on": "2019-08-24T14:15:22Z", "passwd_changed_on": "2019-08-24T14:15:22Z", "groups": [ { "id": 0, "name": "string" } ], "memberships": [ { "id": 0, "project": { "id": 0, "name": "string" }, "user": { "id": 0, "name": "string" }, "group": { "id": 0, "name": "string" }, "roles": [ { "id": 0, "name": "string", "inherited": true } ] } ] }}